GET api/appointmenttypes/search?appointmentTypeExternalId={appointmentTypeExternalId}&name={name}&isTelemedicine={isTelemedicine}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of appointment types.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
appointmentTypeExternalId

Appointment type's unique ID on integrating system.

string

Default value is empty string ("")

name

Appointment type's name on integrating system.

string

Default value is empty string ("")

isTelemedicine

Filter appointment types on whether they are telemedicine or not.

boolean

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfAppointmentTypeModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of AppointmentTypeModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "name": "sample string 1",
      "isTelemedicine": true,
      "portalCreated": "2026-05-29T16:59:22.0978269+00:00",
      "id": "sample string 4",
      "externalId": "sample string 5"
    },
    {
      "name": "sample string 1",
      "isTelemedicine": true,
      "portalCreated": "2026-05-29T16:59:22.0978269+00:00",
      "id": "sample string 4",
      "externalId": "sample string 5"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfAppointmentTypeModelGCu_PAL27 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel">
    <d2p1:AppointmentTypeModel>
      <ExternalId>sample string 5</ExternalId>
      <Id>sample string 4</Id>
      <d2p1:IsTelemedicine>true</d2p1:IsTelemedicine>
      <d2p1:Name>sample string 1</d2p1:Name>
      <d2p1:PortalCreated>2026-05-29T16:59:22.0978269+00:00</d2p1:PortalCreated>
    </d2p1:AppointmentTypeModel>
    <d2p1:AppointmentTypeModel>
      <ExternalId>sample string 5</ExternalId>
      <Id>sample string 4</Id>
      <d2p1:IsTelemedicine>true</d2p1:IsTelemedicine>
      <d2p1:Name>sample string 1</d2p1:Name>
      <d2p1:PortalCreated>2026-05-29T16:59:22.0978269+00:00</d2p1:PortalCreated>
    </d2p1:AppointmentTypeModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfAppointmentTypeModelGCu_PAL27>